Docs

De statusberichten van één ontvangen factuur weergeven

  • In de sandbox
GET
/received/{id}/events

Sinds 0.35.0. Dezelfde berichten die de webhook bezorgt, in volgorde van reeksnummer, elk met direction in.

Autorisatie

apiKey
headerAuthorizationBearer <token>

Stuur uw sleutel als bearer-token: Authorization: Bearer <your-api-key>. De health-aanroep is de enige aanroep die geen sleutel vereist.

Padparameters

id*string

De id van de dienst voor een ontvangen factuur (teruggegeven door POST /received).

Patroon^rcv_[0-9a-f]{24}$

Body van het antwoord

Berichten in volgorde van reeksnummer.

application/json
  1. response
data*array<>
curl -X GET "https://example.com/received/string/events" \  -H "Authorization: Bearer <your-api-key>"
{  "data": [    {      "event_id": "stringst",      "sequence": 1,      "occurred_at": "2019-08-24T14:15:22Z",      "invoice_ref": "string",      "invoice_number": "string",      "country_route": "PEPPOL",      "environment": "sandbox",      "direction": "out",      "legal_id": "string",      "document_sha256": "string",      "buyer_status": "acknowledged",      "errors": [        {          "code": "string",          "source": "string",          "message": "string",          "field": "string",          "fix_hint": "string"        }      ],      "route": {        "submission_id": "string",        "raw": null      },      "status": "buyer_status"    }  ]}